index_tree_node_s Struct Reference

## Data Fields

lzma_vli | uncompressed_base
lzma_vli | compressed_base
| Compressed start offset of this Stream or Block. More...
index_tree_node * | parent
index_tree_node * | left
index_tree_node * | right

## Field Documentation

## uncompressed_base

lzma_vli index_tree_node_s::uncompressed_base

Uncompressed start offset of this Stream (relative to the beginning of the file) or Block (relative to the beginning of the Stream)

Referenced by index_cat_helper().

## compressed_base

lzma_vli index_tree_node_s::compressed_base

Compressed start offset of this Stream or Block.

Referenced by index_cat_helper().

The documentation for this struct was generated from the following file:

- liblzma/common/index.c